AllHostsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class AllHostsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.AllHostsResourceApi

-     public class AllHostsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllHostsResourceApi()`
    `AllHostsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiConfigList` | `readConfig(String view)` Retrieve the default configuration for all hosts.
    `com.squareup.okhttp.Call` | `readConfigAsync(String view, ApiCallback<ApiConfigList> callback)` Retrieve the default configuration for all hosts.
    `com.squareup.okhttp.Call` | `readConfigCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readConfig
    `ApiResponse<ApiConfigList>` | `readConfigWithHttpInfo(String view)` Retrieve the default configuration for all hosts.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiConfigList` | `updateConfig(String message, ApiConfigList body)` Update the default configuration values for all hosts.
    `com.squareup.okhttp.Call` | `updateConfigAsync(String message, ApiConfigList body, ApiCallback<ApiConfigList> callback)` Update the default configuration values for all hosts.
    `com.squareup.okhttp.Call` | `updateConfigCall(String message, ApiConfigList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateConfig
    `ApiResponse<ApiConfigList>` | `updateConfigWithHttpInfo(String message, ApiConfigList body)` Update the default configuration values for all hosts.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllHostsResourceApi

          public AllHostsResourceApi()

    - #### AllHostsResourceApi

          public AllHostsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### readConfigCall

          public com.squareup.okhttp.Call readConfigCall(String view,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for readConfig
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readConfig

          public ApiConfigList readConfig(String view)
                                   throws ApiException

      Retrieve the default configuration for all hosts. Retrieve the default configuration for all hosts. <p/> These values will apply to all hosts managed by CM unless overridden at the host level.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigWithHttpInfo

          public ApiResponse<ApiConfigList> readConfigWithHttpInfo(String view)
                                                            throws ApiException

      Retrieve the default configuration for all hosts. Retrieve the default configuration for all hosts. <p/> These values will apply to all hosts managed by CM unless overridden at the host level.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigAsync

          public com.squareup.okhttp.Call readConfigAsync(String view,
                                                          ApiCallback<ApiConfigList> callback)
                                                   throws ApiException

      Retrieve the default configuration for all hosts. (asynchronously) Retrieve the default configuration for all hosts. <p/> These values will apply to all hosts managed by CM unless overridden at the host level.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateConfigCall

          public com.squareup.okhttp.Call updateConfigCall(String message,
                                                           ApiConfigList body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for updateConfig
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - The config values to update. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateConfig

          public ApiConfigList updateConfig(String message,
                                            ApiConfigList body)
                                     throws ApiException

      Update the default configuration values for all hosts. Update the default configuration values for all hosts. <p/> Note that this does not override values set at the host level. It just updates the default values that will be inherited by each host's configuration.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - The config values to update. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateConfigWithHttpInfo(String message,
                                                                     ApiConfigList body)
                                                              throws ApiException

      Update the default configuration values for all hosts. Update the default configuration values for all hosts. <p/> Note that this does not override values set at the host level. It just updates the default values that will be inherited by each host's configuration.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - The config values to update. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigAsync

          public com.squareup.okhttp.Call updateConfigAsync(String message,
                                                            ApiConfigList body,
                                                            ApiCallback<ApiConfigList> callback)
                                                     throws ApiException

      Update the default configuration values for all hosts. (asynchronously) Update the default configuration values for all hosts. <p/> Note that this does not override values set at the host level. It just updates the default values that will be inherited by each host's configuration.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - The config values to update. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.